> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/kiichain/tokenfactory.md).

# TokenFactory

## GET /kiichain/tokenfactory/v1beta1/params

> Params defines a gRPC query method that returns the tokenfactory module's\
> parameters.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/kiichain/tokenfactory/v1beta1/params":{"get":{"summary":"Params defines a gRPC query method that returns the tokenfactory module's\nparameters.","operationId":"TokenFactoryParams","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"params":{"description":"params defines the parameters of the module.","type":"object","properties":{"denom_creation_fee":{"type":"array","items":{"type":"object","properties":{"denom":{"type":"string"},"amount":{"type":"string"}},"description":"Coin defines a token with a denomination and an amount.\n\nNOTE: The amount field is an Int which implements the custom method\nsignatures required by gogoproto."}},"denom_creation_gas_consume":{"type":"string","format":"uint64","title":"if denom_creation_fee is an empty array, then this field is used to add\nmore gas consumption to the base cost.\nhttps://github.com/CosmWasm/token-factory/issues/11"}}}},"description":"QueryParamsResponse is the response type for the Query/Params RPC method."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"tags":["Query"]}}}}
```

## GET /kiichain/tokenfactory/v1beta1/denoms/{denom}/authority\_metadata

> DenomAuthorityMetadata defines a gRPC query method for fetching\
> DenomAuthorityMetadata for a particular denom.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/kiichain/tokenfactory/v1beta1/denoms/{denom}/authority_metadata":{"get":{"summary":"DenomAuthorityMetadata defines a gRPC query method for fetching\nDenomAuthorityMetadata for a particular denom.","operationId":"DenomAuthorityMetadata","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"authority_metadata":{"type":"object","properties":{"admin":{"type":"string","title":"Can be empty for no admin, or a valid kii address"}},"description":"DenomAuthorityMetadata specifies metadata for addresses that have specific\ncapabilities over a token factory denom. Right now there is only one Admin\npermission, but is planned to be extended to the future."}},"description":"QueryDenomAuthorityMetadataResponse defines the response structure for the\nDenomAuthorityMetadata gRPC query."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"parameters":[{"name":"denom","in":"path","required":true,"type":"string"}],"tags":["Query"]}}}}
```

## GET /kiichain/tokenfactory/v1beta1/denoms\_from\_admin/{admin}

> DenomsFromAdmin defines a gRPC query method for fetching all\
> denominations owned by a specific admin.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/kiichain/tokenfactory/v1beta1/denoms_from_admin/{admin}":{"get":{"summary":"DenomsFromAdmin defines a gRPC query method for fetching all\ndenominations owned by a specific admin.","operationId":"DenomsFromAdmin","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"denoms":{"type":"array","items":{"type":"string"}}},"description":"QueryDenomsFromAdminRequest defines the response structure for the\nDenomsFromAdmin gRPC query."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"parameters":[{"name":"admin","in":"path","required":true,"type":"string"}],"tags":["Query"]}}}}
```

## GET /kiichain/tokenfactory/v1beta1/denoms\_from\_creator/{creator}

> DenomsFromCreator defines a gRPC query method for fetching all\
> denominations created by a specific admin/creator.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/kiichain/tokenfactory/v1beta1/denoms_from_creator/{creator}":{"get":{"summary":"DenomsFromCreator defines a gRPC query method for fetching all\ndenominations created by a specific admin/creator.","operationId":"DenomsFromCreator","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"denoms":{"type":"array","items":{"type":"string"}}},"description":"QueryDenomsFromCreatorRequest defines the response structure for the\nDenomsFromCreator gRPC query."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"parameters":[{"name":"creator","in":"path","required":true,"type":"string"}],"tags":["Query"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/kiichain/tokenfactory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
